%define	module	Convert-TNEF
%define	name	perl-%{module}
%define version	0.17
%define release	5mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	%{module}-%{version}.tar.bz2
URL: 		http://www.cpan.org/modules/by-module/Convert/
BuildRequires:	perl-devel perl-MIME-tools
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	perl
Summary:	%{module} module for perl
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorlib}/Convert/*
%{_mandir}/*/*
%doc MANIFEST README Changes

%changelog
* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.17-5mdk
- rebuild for new perl
- drop Prefix tag
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep & %%build
- don't use PREFIX
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.17-4mdk
- rebuild for new auto{prov,req}

* Mon Jan 06 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.17-3mdk
- Rebuild

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.17-2mdk
- add BuildRequires: perl-MIME-tools
- noarch
- rebuild for perl 5.8.0

* Wed May  22 2002 Buchan Milne <bgmilne@cae.co.za> 0.17-1mdk
- Mandrake RPM
